pacman: Update to 5.2.1

This commit is contained in:
Alexey Pavlov
2019-11-03 23:55:54 +03:00
parent 656f4dbf40
commit 1339ef29fc
8 changed files with 466 additions and 321 deletions

View File

@@ -11,9 +11,9 @@ diff -Naur pacman-5.1.0-orig/configure.ac pacman-5.1.0/configure.ac
- [set the full path to ldconfig]),
- [LDCONFIG=$withval], [LDCONFIG=/sbin/ldconfig])
-
# Help line for selecting a crypto library
AC_ARG_WITH(crypto,
AS_HELP_STRING([--with-crypto={openssl|nettle}],
# Help line for determining whether file is seccomp-enabled
AC_ARG_WITH(file-seccomp,
AS_HELP_STRING([--with-file-seccomp={yes|no|auto}],
@@ -520,9 +514,6 @@
# Set shell used by install scriptlets
AC_SUBST(SCRIPTLET_SHELL)
@@ -272,7 +272,7 @@ diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/tidy/staticlibs.sh.in pacman-5.1
@@ -35,9 +35,9 @@
msg2 "$(gettext "Removing static library files...")"
local l
while read -rd '' l; do
while IFS= read -rd '' l; do
- if [[ -f "${l%.a}.so" || -h "${l%.a}.so" ]]; then
+ if [[ -f "${l%.a}.dll.a" || -h "${l%.a}.dll.a" ]]; then
rm "$l"
@@ -294,7 +294,7 @@ diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/tidy/strip.sh.in pacman-5.1.0/sc
-
source_files() {
LANG=C readelf "$1" --debug-dump | \
awk '/DW_AT_name +:/{name=$8}/DW_AT_comp_dir +:/{print $8 "/" name}'
awk '/DW_AT_name +:/{name=$8}/DW_AT_comp_dir +:/{{if (name == "<artificial>") next}{if (name !~ /^[<\/]/) {printf "%s/", $8}}{print name}}'
@@ -43,52 +39,54 @@
strip_file() {
local binary=$1; shift
@@ -317,7 +317,7 @@ diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/tidy/strip.sh.in pacman-5.1.0/sc
-
- # copy source files to debug directory
- local f t
- while read -r t; do
- while IFS= read -r t; do
- f=${t/${dbgsrcdir}/"$srcdir"}
- mkdir -p "${dbgsrc/"$dbgsrcdir"/}${t%/*}"
- cp -- "$f" "${dbgsrc/"$dbgsrcdir"/}$t"
@@ -329,7 +329,7 @@ diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/tidy/strip.sh.in pacman-5.1.0/sc
- objcopy --add-gnu-debuglink="$dbgdir/${binary#/}.debug" "$binary"
-
- # create any needed hardlinks
- while read -rd '' file ; do
- while IFS= read -rd '' file ; do
- if [[ "${binary}" -ef "${file}" && ! -f "$dbgdir/${file}.debug" ]]; then
- mkdir -p "$dbgdir/${file%/*}"
- ln "$dbgdir/${binary}.debug" "$dbgdir/${file}.debug"
@@ -349,7 +349,7 @@ diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/tidy/strip.sh.in pacman-5.1.0/sc
- ln -s "$target" "$dbgdir/.build-id/${bid:0:2}/${bid:2}.debug"
+ # copy source files to debug directory
+ local f t
+ while read -r t; do
+ while IFS= read -r t; do
+ f=${t/${dbgsrcdir}/"$srcdir"}
+ mkdir -p "${dbgsrc/"$dbgsrcdir"/}${t%/*}"
+ cp -- "$f" "${dbgsrc/"$dbgsrcdir"/}$t"
@@ -378,7 +378,7 @@ diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/tidy/strip.sh.in pacman-5.1.0/sc
+ # it's pointing), and its contents pass the CRC32 check
+
+ # create any needed hardlinks
+ while read -rd '' file ; do
+ while IFS= read -rd '' file ; do
+ if [[ "${binary}" -ef "${file}" && ! -f "$dbgdir/${file}.debug" ]]; then
+ mkdir -p "$dbgdir/${file%/*}"
+ ln "$dbgdir/${binary}.debug" "$dbgdir/${file}.debug"
@@ -404,14 +404,14 @@ diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/tidy/strip.sh.in pacman-5.1.0/sc
fi
local binary strip_flags
- find . -type f -perm -u+w -print0 2>/dev/null | while read -rd '' binary ; do
- find . -type f -perm -u+w -print0 2>/dev/null | while IFS= read -rd '' binary ; do
+ # *.so: Apache2 modules, OCaml stublibs, Ruby modules
+ # *.oct: Octave modules
+ # *.cmxs: OCaml natdynlink modules: http://gallium.inria.fr/~frisch/ndl.txt
+ find * -type f ! -name '*.dll.a' ! -name '*.lib' \
+ -a \( -name '*.a' -o -name '*.dll' -o -name '*.exe' -o -name '*.so' -o -name '*.so.*' -o -name '*.oct' -o -name '*.cmxs' \) -print0 \
+ -o -type f -executable ! -name '*.dll' ! -name '*.exe' ! -name '*.so' ! -name '*.so.[0-9]*' ! -name '*.oct' ! -name '*.cmxs' ! -name '*.a' ! -name '*.la' ! -name '*.lib' ! -name '*.exe.manifest' ! -name '*.exe.config' ! -name '*.dll.config' ! -name '*.mdb' ! -name '*-config' ! -name '*.csh' ! -name '*.sh' ! -name '*.pl' ! -name '*.pm' ! -name '*.py' ! -name '*.rb' ! -name '*.tcl' -print0 | \
+ while read -d $'\0' binary
+ while IFS= read -d $'\0' binary
+ do
+ # Skip thin archives from stripping
+ case "${binary##*/}" in
@@ -483,14 +483,14 @@ diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/util/compress.sh.in pacman-5.1.0
--- pacman-5.1.0-orig/scripts/libmakepkg/util/compress.sh.in 2018-03-18 05:51:17.000000000 +0300
+++ pacman-5.1.0/scripts/libmakepkg/util/compress.sh.in 2018-06-21 13:37:44.296861300 +0300
@@ -36,7 +36,7 @@
case "$filename" in
*tar.gz) ${COMPRESSGZ[@]:-gzip -c -f -n} ;;
*tar.bz2) ${COMPRESSBZ2[@]:-bzip2 -c -f} ;;
- *tar.xz) ${COMPRESSXZ[@]:-xz -c -z -} ;;
+ *tar.xz) ${COMPRESSXZ[@]:-xz -c -z -T0 -} ;;
*tar.lrz) ${COMPRESSLRZ[@]:-lrzip -q} ;;
*tar.lzo) ${COMPRESSLZO[@]:-lzop -q} ;;
*tar.Z) ${COMPRESSZ[@]:-compress -c -f} ;;
case "$ext" in
*.tar.gz) ${COMPRESSGZ[@]:-gzip -c -f -n} ;;
*.tar.bz2) ${COMPRESSBZ2[@]:-bzip2 -c -f} ;;
- *.tar.xz) ${COMPRESSXZ[@]:-xz -c -z -} ;;
+ *.tar.xz) ${COMPRESSXZ[@]:-xz -c -z -T0 -} ;;
*.tar.zst) ${COMPRESSZST[@]:-zstd -c -z -q -} ;;
*.tar.lrz) ${COMPRESSLRZ[@]:-lrzip -q} ;;
*.tar.lzo) ${COMPRESSLZO[@]:-lzop -q} ;;
diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/util/pkgbuild.sh.in pacman-5.1.0/scripts/libmakepkg/util/pkgbuild.sh.in
--- pacman-5.1.0-orig/scripts/libmakepkg/util/pkgbuild.sh.in 2018-05-12 16:15:04.000000000 +0300
+++ pacman-5.1.0/scripts/libmakepkg/util/pkgbuild.sh.in 2018-06-21 12:53:58.872056200 +0300
@@ -507,9 +507,9 @@ diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/util/pkgbuild.sh.in pacman-5.1.0
else
printf "%s\n" "$pkgver-$pkgrel"
fi
diff -Naur pacman-5.1.0-orig/scripts/library/utils_fixed_path.sh pacman-5.1.0/scripts/library/utils_fixed_path.sh
--- pacman-5.1.0-orig/scripts/library/utils_fixed_path.sh 1970-01-01 03:00:00.000000000 +0300
+++ pacman-5.1.0/scripts/library/utils_fixed_path.sh 2018-06-21 12:53:58.872056200 +0300
diff -Naur pacman-5.1.0-orig/scripts/libmakepkg/utils_fixed_path.sh.in pacman-5.1.0/scripts/libmakepkg/utils_fixed_path.sh.in
--- pacman-5.1.0-orig/scripts/libmakepkg/utils_fixed_path.sh.in 1970-01-01 03:00:00.000000000 +0300
+++ pacman-5.1.0/scripts/libmakepkg/utils_fixed_path.sh.in 2018-06-21 12:53:58.872056200 +0300
@@ -0,0 +1,34 @@
+if [[ -n "$MSYSTEM" ]]; then
+ readonly -a UTILS_NAME=('bsdtar'
@@ -548,50 +548,36 @@ diff -Naur pacman-5.1.0-orig/scripts/library/utils_fixed_path.sh pacman-5.1.0/sc
diff -Naur pacman-5.1.0-orig/scripts/Makefile.am pacman-5.1.0/scripts/Makefile.am
--- pacman-5.1.0-orig/scripts/Makefile.am 2018-05-14 03:02:18.000000000 +0300
+++ pacman-5.1.0/scripts/Makefile.am 2018-06-21 13:03:17.873838900 +0300
@@ -38,7 +38,8 @@
library/output_format.sh \
library/human_to_size.sh \
library/size_to_human.sh \
- library/term_colors.sh
+ library/term_colors.sh \
+ library/utils_fixed_path.sh
libmakepkgdir = $(datarootdir)/makepkg
@@ -196,6 +197,7 @@
makepkg: \
$(srcdir)/makepkg.sh.in \
$(srcdir)/wrapper.sh.in \
+ $(srcdir)/library/utils_fixed_path.sh \
$(LIBMAKEPKG_IN)
makepkg-template: \
@@ -208,7 +210,8 @@
pacman-db-upgrade: \
$(srcdir)/pacman-db-upgrade.sh.in \
- $(srcdir)/library/output_format.sh
+ $(srcdir)/library/output_format.sh \
+ $(srcdir)/library/utils_fixed_path.sh
pacman-key: \
$(srcdir)/pacman-key.sh.in \
@@ -216,11 +219,13 @@
pkgdelta: \
$(srcdir)/pkgdelta.sh.in \
- $(srcdir)/library/output_format.sh
+ $(srcdir)/library/output_format.sh \
+ $(srcdir)/library/utils_fixed_path.sh
repo-add: \
$(srcdir)/repo-add.sh.in \
- $(srcdir)/library/output_format.sh
+ $(srcdir)/library/output_format.sh \
+ $(srcdir)/library/utils_fixed_path.sh
repo-remove: $(srcdir)/repo-add.sh.in
$(AM_V_at)$(RM) repo-remove
@@ -56,12 +56,10 @@
libmakepkg/executable/ccache.sh \
libmakepkg/executable/checksum.sh \
libmakepkg/executable/distcc.sh \
- libmakepkg/executable/fakeroot.sh \
libmakepkg/executable/gpg.sh \
libmakepkg/executable/gzip.sh \
libmakepkg/executable/pacman.sh \
libmakepkg/executable/strip.sh \
- libmakepkg/executable/sudo.sh \
libmakepkg/executable/vcs.sh \
libmakepkg/buildenv.sh \
libmakepkg/buildenv/buildflags.sh \
@@ -124,6 +124,7 @@
libmakepkg/tidy/staticlibs.sh \
libmakepkg/tidy/strip.sh \
libmakepkg/tidy/zipman.sh \
+ libmakepkg/utils_fixed_path.sh \
libmakepkg/util.sh \
libmakepkg/util/compress.sh \
libmakepkg/util/config.sh \
@@ -246,7 +246,7 @@
$(MKDIR_P) $(DESTDIR)$(bashcompdir)
$(INSTALL_DATA) completion/bash_completion $(DESTDIR)/$(bashcompdir)/pacman
for completion in makepkg pacman-key; do \
- $(LN_S) pacman $(DESTDIR)/$(bashcompdir)/$$completion; \
+ $(LN_S) $(DESTDIR)/$(bashcompdir)/pacman $(DESTDIR)/$(bashcompdir)/$$completion; \
done
$(MKDIR_P) $(DESTDIR)$(datarootdir)/zsh/site-functions/
$(INSTALL_DATA) completion/zsh_completion $(DESTDIR)$(datarootdir)/zsh/site-functions/_pacman
diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.sh.in
--- pacman-5.1.0-orig/scripts/makepkg.sh.in 2018-05-23 08:27:19.000000000 +0300
+++ pacman-5.1.0/scripts/makepkg.sh.in 2018-06-21 13:21:37.158378000 +0300
@@ -610,7 +596,7 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
# gettext, gpg, grep, gzip, sed, tput (ncurses), xz
# gettext initialization
@@ -67,7 +67,6 @@
@@ -60,7 +60,6 @@
GENINTEG=0
HOLDVER=0
IGNOREARCH=0
@@ -618,16 +604,7 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
INSTALL=0
LOGGING=0
NEEDED=0
@@ -99,6 +98,8 @@
shopt -s extglob
+m4_include(library/utils_fixed_path.sh)
+
### SUBROUTINES ###
# Import libmakepkg
@@ -113,10 +114,9 @@
@@ -106,10 +105,9 @@
trap_exit() {
local signal=$1; shift
@@ -641,7 +618,7 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
[[ -n $srclinks ]] && rm -rf "$srclinks"
# unset the trap for this signal, and then call the default handler
@@ -131,17 +131,12 @@
@@ -124,11 +122,6 @@
clean_up() {
local EXIT_CODE=$?
@@ -650,8 +627,10 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
- return 0
- fi
-
if (( (EXIT_CODE == E_OK || EXIT_CODE == E_INSTALL_FAILED) && CLEANUP )); then
local pkg file
if [[ -p $logpipe ]]; then
rm "$logpipe"
fi
@@ -138,7 +131,7 @@
# If it's a clean exit and -c/--clean has been passed...
msg "$(gettext "Cleaning up...")"
@@ -660,50 +639,57 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
if [[ -n $pkgbase ]]; then
local fullver=$(get_full_version)
# Can't do this unless the BUILDSCRIPT has been sourced.
@@ -179,11 +174,6 @@
remove_deps
@@ -180,11 +173,6 @@
fi
}
-enter_fakeroot() {
- msg "$(gettext "Entering %s environment...")" "fakeroot"
- fakeroot -- $0 -F "${ARGLIST[@]}" || exit $?
- fakeroot -- bash -$- "${BASH_SOURCE[0]}" -F "${ARGLIST[@]}" || exit $?
-}
-
# Automatically update pkgver variable if a pkgver() function is provided
# Re-sources the PKGBUILD afterwards to allow for other variables that use $pkgver
update_pkgver() {
@@ -249,13 +249,6 @@
else
@@ -229,11 +217,6 @@
cmd=("$PACMAN_PATH" "$@")
fi
- if [[ $1 != -@(T|Q)*([[:alpha:]]) ]]; then
else
cmd=("$PACMAN_PATH" "${PACMAN_OPTS[@]}" "$@")
- if type -p sudo >/dev/null; then
- cmd=(sudo "${cmd[@]}")
- else
- cmd=(su root -c "$(printf '%q ' "${cmd[@]}")")
- fi
- fi
"${cmd[@]}"
}
local lockfile="$(pacman-conf DBPath)/db.lck"
while [[ -f $lockfile ]]; do
local timer=0
@@ -432,7 +415,7 @@
@@ -510,7 +502,7 @@
$pkgfunc &>"$logpipe"
sodepends=0;
- wait -f $teepid
+ wait $teepid
rm "$logpipe"
else
"$pkgfunc"
@@ -460,7 +443,7 @@
sodepends=0
for d in "${depends[@]}"; do
- if [[ $d = *.so ]]; then
+ if [[ $d = *.dll ]]; then
sodepends=1;
break;
sodepends=1
break
fi
@@ -521,28 +513,33 @@
return;
@@ -471,28 +454,33 @@
return 0
fi
- local libdeps filename soarch sofile soname soversion;
+ local libdeps filename soarch sofile soname;
declare -A libdeps;
- local libdeps filename soarch sofile soname soversion
+ local libdeps filename soarch sofile soname
declare -A libdeps
while read -r filename; do
while IFS= read -rd '' filename; do
- # get architecture of the file; if soarch is empty it's not an ELF binary
- soarch=$(LC_ALL=C readelf -h "$filename" 2>/dev/null | sed -n 's/.*Class.*ELF\(32\|64\)/\1/p')
+ # get architecture of the file; if soarch is empty it's not an binary
@@ -739,8 +725,8 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
+ libdeps[$soname]="${soarch}"
fi
done
done < <(find "$pkgdir" -type f -perm -u+x)
@@ -550,7 +547,7 @@
done < <(find "$pkgdir" -type f -perm -u+x -print0)
@@ -500,7 +488,7 @@
local libdepends v
for d in "${depends[@]}"; do
case "$d" in
@@ -749,7 +735,7 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
if [[ ${libdeps[$d]} ]]; then
for v in ${libdeps[$d]}; do
libdepends+=("$d=$v")
@@ -575,32 +572,23 @@
@@ -525,32 +513,23 @@
for p in "${provides[@]}"; do
missing=0
case "$p" in
@@ -796,16 +782,16 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
done
else
libprovides+=("$p")
@@ -641,7 +629,6 @@
@@ -589,7 +568,6 @@
merge_arch_attrs
msg2 "$(gettext "Generating %s file...")" ".PKGINFO"
printf "# Generated by makepkg %s\n" "$makepkg_version"
- printf "# using %s\n" "$(fakeroot -v)"
write_kv_pair "pkgname" "$pkgname"
write_kv_pair "pkgbase" "$pkgbase"
@@ -789,7 +776,7 @@
pkgdir="$pkgdirbase/$pkgbase-@DEBUGSUFFIX@"
@@ -739,7 +717,7 @@
local pkgdir="$pkgdirbase/$pkgbase-@DEBUGSUFFIX@"
# check if we have any debug symbols to package
- if dir_is_empty "$pkgdir/usr/lib/debug"; then
@@ -813,41 +799,19 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
return 0
fi
@@ -989,21 +976,6 @@
fi
fi
@@ -924,6 +902,11 @@
- # check for sudo if we will need it during makepkg execution
- if (( DEP_BIN || RMDEPS || INSTALL )); then
- if ! type -p sudo >/dev/null; then
- warning "$(gettext "Cannot find the %s binary. Will use %s to acquire root privileges.")" "sudo" "su"
- fi
- fi
-
- # fakeroot - correct package file permissions
- if check_buildenv "fakeroot" "y" && (( EUID > 0 )); then
- if ! type -p fakeroot >/dev/null; then
- error "$(gettext "Cannot find the %s binary.")" "fakeroot"
- ret=1
- fi
- fi
-
# gpg - package signing
if [[ $SIGNPKG == 'y' ]] || { [[ -z $SIGNPKG ]] && check_buildenv "sign" "y"; }; then
if ! type -p gpg >/dev/null; then
@@ -1133,6 +1105,11 @@
local restore_package_variables
for pkgname in ${pkgname_backup[@]}; do
pkgdir="$pkgdirbase/$pkgname"
run_single_packaging() {
local pkgdir="$pkgdirbase/$pkgname"
+ # clean existing pkg directory
+ if [[ -d $pkgdir ]]; then
+ if [[ -d "$pkgdir" ]]; then
+ msg "$(gettext "Removing existing %s directory...")" "\$pkgdir/"
+ rm -rf "$pkgdir"
+ fi
mkdir "$pkgdir"
restore_package_variables="$(backup_package_variables)"
run_package $pkgname
@@ -1218,12 +1195,16 @@
mkdir "$pkgdir"
if [[ -n $1 ]] || (( PKGFUNC )); then
run_package $1
@@ -1017,12 +1000,16 @@
gettext() {
printf "%s\n" "$@"
}
@@ -865,15 +829,15 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
OPT_LONG=('allsource' 'check' 'clean' 'cleanbuild' 'config:' 'force' 'geninteg'
'help' 'holdver' 'ignorearch' 'install' 'key:' 'log' 'noarchive' 'nobuild'
'nocolor' 'nocheck' 'nodeps' 'noextract' 'noprepare' 'nosign' 'packagelist'
@@ -1257,7 +1238,6 @@
@@ -1056,7 +1043,6 @@
-d|--nodeps) NODEPS=1 ;;
-e|--noextract) NOEXTRACT=1 ;;
-f|--force) FORCE=1 ;;
- -F) INFAKEROOT=1 ;;
# generating integrity checks does not depend on architecture
-g|--geninteg) GENINTEG=1 IGNOREARCH=1;;
-g|--geninteg) BUILDPKG=0 GENINTEG=1 IGNOREARCH=1;;
--holdver) HOLDVER=1 ;;
@@ -1399,19 +1379,6 @@
@@ -1171,19 +1157,6 @@
exit $E_FS_PERMISSIONS
fi
@@ -890,10 +854,10 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
- fi
-fi
-
unset pkgname pkgbase pkgver pkgrel epoch pkgdesc url license groups provides
unset md5sums replaces depends conflicts backup source install changelog build
unset sha{1,224,256,384,512}sums makedepends optdepends options noextract validpgpkeys
@@ -1534,35 +1501,6 @@
unset pkgname "${pkgbuild_schema_strings[@]}" "${pkgbuild_schema_arrays[@]}"
unset "${known_hash_algos[@]/%/sums}"
unset -f pkgver prepare build check package "${!package_@}"
@@ -1304,29 +1277,6 @@
check_build_status
fi
@@ -909,19 +873,13 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
-
- chmod 755 "$pkgdirbase"
- if (( ! SPLITPKG )); then
- pkgdir="$pkgdirbase/$pkgname"
- mkdir "$pkgdir"
- if (( PKGFUNC )); then
- run_package
- fi
- tidy_install
- lint_package || exit $E_PACKAGE_FAILED
- create_package
- create_debug_package
- run_single_packaging
- else
- run_split_packaging
- fi
-
- create_debug_package
-
- msg "$(gettext "Leaving %s environment.")" "fakeroot"
- exit $E_OK
-fi
@@ -929,7 +887,7 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
msg "$(gettext "Making package: %s")" "$pkgbase $basever ($(date +%c))"
# if we are creating a source-only package, go no further
@@ -1586,7 +1524,7 @@
@@ -1350,7 +1300,7 @@
check_source_integrity all
cd_safe "$startdir"
@@ -938,17 +896,17 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
if [[ $SIGNPKG = 'y' ]]; then
msg "$(gettext "Signing package...")"
@@ -1602,6 +1602,9 @@
mkdir -p "$srcdir"
@@ -1400,6 +1350,9 @@
chmod a-s "$srcdir"
cd_safe "$srcdir"
+
+ export MINGW_CHOST MINGW_PREFIX MINGW_PACKAGE_PREFIX
+ export DXSDK_DIR ACLOCAL_PATH PKG_CONFIG_PATH
+export MINGW_CHOST MINGW_PREFIX MINGW_PACKAGE_PREFIX
+export DXSDK_DIR ACLOCAL_PATH PKG_CONFIG_PATH
+
if (( !REPKG )); then
if (( NOEXTRACT && ! VERIFYSOURCE )); then
@@ -1688,17 +1626,36 @@
warning "$(gettext "Using existing %s tree")" "\$srcdir/"
@@ -1452,17 +1405,25 @@
cd_safe "$startdir"
fi
@@ -962,25 +920,14 @@ diff -Naur pacman-5.1.0-orig/scripts/makepkg.sh.in pacman-5.1.0/scripts/makepkg.
+ chmod a-srwx "$pkgdirbase"
+ chmod 755 "$pkgdirbase"
+ if (( ! SPLITPKG )); then
+ pkgdir="$pkgdirbase/$pkgname"
+ # clean existing pkg directory
+ if [[ -d $pkgdir ]]; then
+ msg "$(gettext "Removing existing %s directory...")" "\$pkgdir/"
+ rm -rf "$pkgdir"
+ fi
+ mkdir "$pkgdir"
+ if (( PKGFUNC )); then
+ run_package
+ fi
+ tidy_install
+ lint_package || exit $E_PACKAGE_FAILED
+ create_package
+ create_debug_package
+ run_single_packaging
+ else
+ run_split_packaging
+ fi
+
+ create_debug_package
create_package_signatures
create_package_signatures || exit $E_PRETTY_BAD_PRIVACY
fi
-# if inhibiting archive creation, go no further
@@ -1035,15 +982,14 @@ diff -Naur pacman-5.1.0-orig/scripts/pacman-key.sh.in pacman-5.1.0/scripts/pacma
#
# pacman-key - manages pacman's keyring
# Based on apt-key, from Debian
@@ -53,6 +53,8 @@
@@ -31,6 +31,7 @@
# Import libmakepkg
source "$LIBRARY"/util/message.sh
source "$LIBRARY"/util/parseopts.sh
+source "$LIBRARY"/utils_fixed_path.sh
m4_include(library/output_format.sh)
+m4_include(library/utils_fixed_path.sh)
+
usage() {
printf "pacman-key (pacman) %s\n" ${myver}
echo
# Options
ADD=0
@@ -231,7 +233,7 @@
exit 1
fi
@@ -1092,41 +1038,6 @@ diff -Naur pacman-5.1.0-orig/scripts/pacman-key.sh.in pacman-5.1.0/scripts/pacma
CONFIG=${CONFIG:-@sysconfdir@/pacman.conf}
if [[ ! -r "${CONFIG}" ]]; then
error "$(gettext "%s configuration file '%s' not found.")" "pacman" "$CONFIG"
diff -Naur pacman-5.1.0-orig/scripts/pkgdelta.sh.in pacman-5.1.0/scripts/pkgdelta.sh.in
--- pacman-5.1.0-orig/scripts/pkgdelta.sh.in 2018-05-14 03:02:18.000000000 +0300
+++ pacman-5.1.0/scripts/pkgdelta.sh.in 2018-06-21 12:53:58.902056300 +0300
@@ -1,4 +1,4 @@
-#!/bin/bash
+#!/usr/bin/env bash
#
# pkgdelta - create delta files for use with pacman and repo-add
# @configure_input@
@@ -48,6 +48,7 @@
umask 0022
m4_include(library/output_format.sh)
+m4_include(library/utils_fixed_path.sh)
# print usage instructions
usage() {
@@ -173,6 +174,17 @@
set -- "${OPTRET[@]}"
unset OPT_SHORT OPT_LONG OPTRET
+# determine whether we have gettext; make it a no-op if we do not
+if ! type -p gettext >/dev/null; then
+ gettext() {
+ printf "%s\n" "$@"
+ }
+else
+ gettext() {
+ /usr/bin/gettext "$@"
+ }
+fi
+
# parse arguments
while :; do
case $1 in
diff -Naur pacman-5.1.0-orig/scripts/repo-add.sh.in pacman-5.1.0/scripts/repo-add.sh.in
--- pacman-5.1.0-orig/scripts/repo-add.sh.in 2018-05-14 03:02:18.000000000 +0300
+++ pacman-5.1.0/scripts/repo-add.sh.in 2018-06-21 12:53:58.902056300 +0300
@@ -1137,13 +1048,13 @@ diff -Naur pacman-5.1.0-orig/scripts/repo-add.sh.in pacman-5.1.0/scripts/repo-ad
# repo-add - add a package to a given repo database file
# repo-remove - remove a package entry from a given repo database file
@@ -46,6 +46,7 @@
# Import libmakepkg
source "$LIBRARY"/util/message.sh
+source "$LIBRARY"/utils_fixed_path.sh
# ensure we have a sane umask set
umask 0022
m4_include(library/output_format.sh)
+m4_include(library/utils_fixed_path.sh)
# print usage instructions
usage() {
@@ -707,9 +708,13 @@
# PROGRAM START
@@ -1412,9 +1323,9 @@ diff -Naur pacman-5.1.0-orig/test/pacman/pactest.py pacman-5.1.0/test/pacman/pac
env.pacman["manual-confirm"] = opts.manualconfirm
env.pacman["scriptlet-shell"] = opts.scriptletshell
- env.pacman["ldconfig"] = opts.ldconfig
try:
for i in args:
env.config["gpg"] = not opts.missing_gpg
env.config["nls"] = not opts.missing_nls
env.config["curl"] = not opts.missing_curl
diff -Naur pacman-5.1.0-orig/test/pacman/pmtest.py pacman-5.1.0/test/pacman/pmtest.py
--- pacman-5.1.0-orig/test/pacman/pmtest.py 2018-05-14 03:02:18.000000000 +0300
+++ pacman-5.1.0/test/pacman/pmtest.py 2018-06-21 12:53:58.942056300 +0300

View File

@@ -2,8 +2,8 @@ diff -Naur pacman-5.0.1-orig/lib/libalpm/libalpm.pc.in pacman-5.0.1/lib/libalpm/
--- pacman-5.0.1-orig/lib/libalpm/libalpm.pc.in 2015-12-05 15:40:17.000000000 +0300
+++ pacman-5.0.1/lib/libalpm/libalpm.pc.in 2016-07-15 09:42:23.555037400 +0300
@@ -9,4 +9,4 @@
Requires.private: libarchive @pc_crypto@ @pc_libcurl@
Requires.private: libarchive @pc_crypto@ @pc_libcurl@ @pc_gpgme@
Cflags: -I${includedir} @LFS_CFLAGS@
Libs: -L${libdir} -lalpm
-Libs.private: @LIBS@ @GPGME_LIBS@
+Libs.private: @LIBS@ @GPGME_LIBS@ -lintl -liconv
-Libs.private: @LIBS@ @pc_gpgme_libs@
+Libs.private: @LIBS@ @pc_gpgme_libs@ -lintl -liconv

View File

@@ -29,8 +29,8 @@ index 0770640..513e4f1 100644
msg2 "$(gettext "Compressing package...")"
# TODO: Maybe this can be set globally for robustness
shopt -s -o pipefail
- list_package_files | LANG=C bsdtar -cnf - --null --files-from - |
+ list_package_files | LANG=C bsdtar --no-xattrs -cnf - --null --files-from - |
- list_package_files | LANG=C bsdtar --no-fflags -cnf - --null --files-from - |
+ list_package_files | LANG=C bsdtar --no-fflags --no-xattrs -cnf - --null --files-from - |
compress_as "$PKGEXT" > "${pkg_file}" || ret=$?
shopt -u -o pipefail

View File

@@ -1,31 +0,0 @@
Unlike glibc, msys2-runtime does not seem to implement \w and \s.
This replaces them with equivalent classes.
--- a/scripts/completion/bash_completion.in
+++ b/scripts/completion/bash_completion.in
@@ -24,7 +24,7 @@
}
_arch_incomp() {
- local r="\s-(-${1#* }\s|\w*${1% *})"; [[ $COMP_LINE =~ $r ]]
+ local r="[[:space:]]-(-${1#* }[[:space:]]|[[:alnum:]_]*${1% *})"; [[ $COMP_LINE =~ $r ]]
}
_pacman_keyids() {
@@ -74,7 +74,7 @@
local cur opts prev
COMPREPLY=()
_get_comp_words_by_ref cur prev
- if [[ $cur = -* && ! $prev =~ ^-(-(config|help|key|version)$|\w*[Vhp]) ]]; then
+ if [[ $cur = -* && ! $prev =~ ^-(-(config|help|key|version)$|[[:alnum:]_]*[Vhp]) ]]; then
opts=('allsource asdeps check clean cleanbuild config force geninteg help
holdver ignorearch install key log needed noarchive nobuild nocheck
nocolor noconfirm nodeps noextract noprepare noprogressbar nosign
@@ -123,7 +123,7 @@
if [[ $? != 0 ]]; then
_arch_ptr2comp core
- elif [[ ! $prev =~ ^-\w*[Vbhr] &&
+ elif [[ ! $prev =~ ^-[[:alnum:]_]*[Vbhr] &&
! $prev = --@(cachedir|color|config|dbpath|help|hookdir|gpgdir|logfile|root|version) ]]
then
[[ $cur = -* ]] && _arch_ptr2comp ${o#* } common ||

View File

@@ -1,16 +0,0 @@
--- pacman-5.1.1/scripts/Makefile.am.orig 2018-07-30 09:17:05.342738900 +0300
+++ pacman-5.1.1/scripts/Makefile.am 2018-07-30 09:17:33.625588500 +0300
@@ -227,11 +227,11 @@
$(srcdir)/library/output_format.sh \
$(srcdir)/library/utils_fixed_path.sh
-repo-remove: $(srcdir)/repo-add.sh.in
+repo-remove: repo-add
$(AM_V_at)$(RM) repo-remove
$(AM_V_at)$(LN_S) repo-add repo-remove
-repo-elephant: $(srcdir)/repo-add.sh.in
+repo-elephant: repo-add
$(AM_V_at)$(RM) repo-elephant
$(AM_V_at)$(LN_S) repo-add repo-elephant

View File

@@ -13,8 +13,8 @@ diff -Naur pacman-contrib-1.0.0-orig/src/checkupdates.sh.in pacman-contrib-1.0.0
--- pacman-contrib-1.0.0-orig/src/checkupdates.sh.in 2015-10-18 08:38:28.000000000 +0300
+++ pacman-contrib-1.0.0/src/checkupdates.sh.in 2016-07-15 09:42:18.779037400 +0300
@@ -35,11 +35,6 @@
exit 0
fi
shift
done
-if ! type -P fakeroot >/dev/null; then
- error 'Cannot find the fakeroot binary.'
@@ -30,8 +30,8 @@ diff -Naur pacman-contrib-1.0.0-orig/src/checkupdates.sh.in pacman-contrib-1.0.0
ln -s "${DBPath}/local" "$CHECKUPDATES_DB" &> /dev/null
-if ! fakeroot -- pacman -Sy --dbpath "$CHECKUPDATES_DB" --logfile /dev/null &> /dev/null; then
+if ! pacman -Sy --dbpath "$CHECKUPDATES_DB" --logfile /dev/null &> /dev/null; then
error 'Cannot fetch updates'
exit 1
error 'Cannot fetch updates'
exit 1
fi
diff -Naur pacman-contrib-1.0.0-orig/src/paccache.sh.in pacman-contrib-1.0.0/src/paccache.sh.in
--- pacman-contrib-1.0.0-orig/src/paccache.sh.in 2015-03-26 07:43:10.000000000 +0300
@@ -42,9 +42,9 @@ diff -Naur pacman-contrib-1.0.0-orig/src/paccache.sh.in pacman-contrib-1.0.0/src
declare -a cachedirs=() candidates=() cmdopts=() whitelist=() blacklist=()
-declare -i delete=0 dryrun=0 filecount=0 move=0 needsroot=0 totalsaved=0 verbose=0
+declare -i delete=0 dryrun=0 filecount=0 move=0 totalsaved=0 verbose=0
declare -i min_atime=0 min_mtime=0
declare delim=$'\n' keep=3 movedir= scanarch=
QUIET=0
@@ -123,16 +123,7 @@
m4_include(../scripts/library/size_to_human.sh)
@@ -81,18 +81,6 @@ diff -Naur pacman-contrib-1.0.0-orig/src/paccache.sh.in pacman-contrib-1.0.0/src
# unlikely that this will fail, but better make sure
pushd "$cachedir" &>/dev/null || die "failed to chdir to '%s'" "$cachedir"
diff -Naur pacman-contrib-1.0.0-orig/src/paclist.sh.in pacman-contrib-1.0.0/src/paclist.sh.in
--- pacman-contrib-1.0.0-orig/src/paclist.sh.in 2014-12-24 04:16:59.000000000 +0300
+++ pacman-contrib-1.0.0/src/paclist.sh.in 2016-07-15 09:42:18.796037400 +0300
@@ -59,7 +59,7 @@
exit 0
fi
-printf -v installed '[%s]' "$(gettext installed)"
+printf -v installed '[%s]' "$(/usr/bin/gettext installed)"
pacman -Sl $1 | awk -v i="$installed" '$NF == i { print $2,$3 }'
# exit with pacman's return value, not awk's
diff -Naur pacman-contrib-1.0.0-orig/src/pacscripts.sh.in pacman-contrib-1.0.0/src/pacscripts.sh.in
--- pacman-contrib-1.0.0-orig/src/pacscripts.sh.in 2016-01-04 06:27:45.000000000 +0300
+++ pacman-contrib-1.0.0/src/pacscripts.sh.in 2016-07-15 09:42:18.804037400 +0300

305
pacman/Doxyfile.in Normal file
View File

@@ -0,0 +1,305 @@
# Doxyfile 1.8.2
#---------------------------------------------------------------------------
# Project related configuration options
#---------------------------------------------------------------------------
DOXYFILE_ENCODING = UTF-8
PROJECT_NAME = libalpm
PROJECT_NUMBER =
PROJECT_BRIEF = "Arch Linux Package Manager Library"
PROJECT_LOGO =
OUTPUT_DIRECTORY = @OUTPUT_DIRECTORY@
CREATE_SUBDIRS = NO
OUTPUT_LANGUAGE = English
BRIEF_MEMBER_DESC = YES
REPEAT_BRIEF = YES
ABBREVIATE_BRIEF = "The $name class" \
"The $name widget" \
"The $name file" \
is \
provides \
specifies \
contains \
represents \
a \
an \
the
ALWAYS_DETAILED_SEC = YES
INLINE_INHERITED_MEMB = NO
FULL_PATH_NAMES = NO
STRIP_FROM_PATH =
STRIP_FROM_INC_PATH =
SHORT_NAMES = NO
JAVADOC_AUTOBRIEF = YES
QT_AUTOBRIEF = NO
MULTILINE_CPP_IS_BRIEF = NO
INHERIT_DOCS = YES
SEPARATE_MEMBER_PAGES = NO
TAB_SIZE = 4
ALIASES =
TCL_SUBST =
OPTIMIZE_OUTPUT_FOR_C = YES
OPTIMIZE_OUTPUT_JAVA = NO
OPTIMIZE_FOR_FORTRAN = NO
OPTIMIZE_OUTPUT_VHDL = NO
EXTENSION_MAPPING =
MARKDOWN_SUPPORT = YES
AUTOLINK_SUPPORT = YES
BUILTIN_STL_SUPPORT = NO
CPP_CLI_SUPPORT = NO
SIP_SUPPORT = NO
IDL_PROPERTY_SUPPORT = YES
DISTRIBUTE_GROUP_DOC = NO
SUBGROUPING = YES
INLINE_GROUPED_CLASSES = NO
INLINE_SIMPLE_STRUCTS = NO
TYPEDEF_HIDES_STRUCT = NO
SYMBOL_CACHE_SIZE = 0
LOOKUP_CACHE_SIZE = 0
#---------------------------------------------------------------------------
# Build related configuration options
#---------------------------------------------------------------------------
EXTRACT_ALL = NO
EXTRACT_PRIVATE = NO
EXTRACT_PACKAGE = NO
EXTRACT_STATIC = NO
EXTRACT_LOCAL_CLASSES = YES
EXTRACT_LOCAL_METHODS = NO
EXTRACT_ANON_NSPACES = NO
HIDE_UNDOC_MEMBERS = NO
HIDE_UNDOC_CLASSES = NO
HIDE_FRIEND_COMPOUNDS = NO
HIDE_IN_BODY_DOCS = YES
INTERNAL_DOCS = NO
CASE_SENSE_NAMES = YES
HIDE_SCOPE_NAMES = NO
SHOW_INCLUDE_FILES = YES
FORCE_LOCAL_INCLUDES = NO
INLINE_INFO = YES
SORT_MEMBER_DOCS = YES
SORT_BRIEF_DOCS = NO
SORT_MEMBERS_CTORS_1ST = NO
SORT_GROUP_NAMES = NO
SORT_BY_SCOPE_NAME = NO
STRICT_PROTO_MATCHING = NO
GENERATE_TODOLIST = YES
GENERATE_TESTLIST = YES
GENERATE_BUGLIST = YES
GENERATE_DEPRECATEDLIST= YES
ENABLED_SECTIONS =
MAX_INITIALIZER_LINES = 30
SHOW_USED_FILES = YES
SHOW_FILES = YES
SHOW_NAMESPACES = YES
FILE_VERSION_FILTER =
LAYOUT_FILE =
CITE_BIB_FILES =
#---------------------------------------------------------------------------
# configuration options related to warning and progress messages
#---------------------------------------------------------------------------
QUIET = NO
WARNINGS = YES
WARN_IF_UNDOCUMENTED = YES
WARN_IF_DOC_ERROR = YES
WARN_NO_PARAMDOC = NO
WARN_FORMAT = "$file:$line: $text"
WARN_LOGFILE =
#---------------------------------------------------------------------------
# configuration options related to the input files
#---------------------------------------------------------------------------
INPUT = ../lib/libalpm/
INPUT_ENCODING = UTF-8
FILE_PATTERNS =
RECURSIVE = NO
EXCLUDE =
EXCLUDE_SYMLINKS = NO
EXCLUDE_PATTERNS =
EXCLUDE_SYMBOLS =
EXAMPLE_PATH =
EXAMPLE_PATTERNS = *
EXAMPLE_RECURSIVE = NO
IMAGE_PATH =
INPUT_FILTER =
FILTER_PATTERNS =
FILTER_SOURCE_FILES = NO
FILTER_SOURCE_PATTERNS =
#---------------------------------------------------------------------------
# configuration options related to source browsing
#---------------------------------------------------------------------------
SOURCE_BROWSER = NO
INLINE_SOURCES = NO
STRIP_CODE_COMMENTS = NO
REFERENCED_BY_RELATION = YES
REFERENCES_RELATION = YES
REFERENCES_LINK_SOURCE = YES
USE_HTAGS = NO
VERBATIM_HEADERS = YES
#---------------------------------------------------------------------------
# configuration options related to the alphabetical class index
#---------------------------------------------------------------------------
ALPHABETICAL_INDEX = NO
COLS_IN_ALPHA_INDEX = 5
IGNORE_PREFIX =
#---------------------------------------------------------------------------
# configuration options related to the HTML output
#---------------------------------------------------------------------------
GENERATE_HTML = NO
HTML_OUTPUT = html
HTML_FILE_EXTENSION = .html
HTML_HEADER =
HTML_FOOTER =
HTML_STYLESHEET =
HTML_EXTRA_STYLESHEET =
HTML_EXTRA_FILES =
HTML_COLORSTYLE_HUE = 220
HTML_COLORSTYLE_SAT = 100
HTML_COLORSTYLE_GAMMA = 80
HTML_TIMESTAMP = YES
HTML_DYNAMIC_SECTIONS = NO
HTML_INDEX_NUM_ENTRIES = 100
GENERATE_DOCSET = NO
DOCSET_FEEDNAME = "Doxygen generated docs"
DOCSET_BUNDLE_ID = org.doxygen.Project
DOCSET_PUBLISHER_ID = org.doxygen.Publisher
DOCSET_PUBLISHER_NAME = Publisher
GENERATE_HTMLHELP = NO
CHM_FILE =
HHC_LOCATION =
GENERATE_CHI = NO
CHM_INDEX_ENCODING =
BINARY_TOC = NO
TOC_EXPAND = NO
GENERATE_QHP = NO
QCH_FILE =
QHP_NAMESPACE = org.doxygen.Project
QHP_VIRTUAL_FOLDER = doc
QHP_CUST_FILTER_NAME =
QHP_CUST_FILTER_ATTRS =
QHP_SECT_FILTER_ATTRS =
QHG_LOCATION =
GENERATE_ECLIPSEHELP = NO
ECLIPSE_DOC_ID = org.doxygen.Project
DISABLE_INDEX = NO
GENERATE_TREEVIEW = NO
ENUM_VALUES_PER_LINE = 4
TREEVIEW_WIDTH = 250
EXT_LINKS_IN_WINDOW = NO
FORMULA_FONTSIZE = 10
FORMULA_TRANSPARENT = YES
USE_MATHJAX = NO
MATHJAX_RELPATH = http://www.mathjax.org/mathjax
MATHJAX_EXTENSIONS =
SEARCHENGINE = NO
SERVER_BASED_SEARCH = NO
#---------------------------------------------------------------------------
# configuration options related to the LaTeX output
#---------------------------------------------------------------------------
GENERATE_LATEX = NO
LATEX_OUTPUT = latex
LATEX_CMD_NAME = latex
MAKEINDEX_CMD_NAME = makeindex
COMPACT_LATEX = NO
PAPER_TYPE = letter
EXTRA_PACKAGES =
LATEX_HEADER =
LATEX_FOOTER =
PDF_HYPERLINKS = NO
USE_PDFLATEX = NO
LATEX_BATCHMODE = NO
LATEX_HIDE_INDICES = NO
LATEX_SOURCE_CODE = NO
LATEX_BIB_STYLE = plain
#---------------------------------------------------------------------------
# configuration options related to the RTF output
#---------------------------------------------------------------------------
GENERATE_RTF = NO
RTF_OUTPUT = rtf
COMPACT_RTF = NO
RTF_HYPERLINKS = NO
RTF_STYLESHEET_FILE =
RTF_EXTENSIONS_FILE =
#---------------------------------------------------------------------------
# configuration options related to the man page output
#---------------------------------------------------------------------------
GENERATE_MAN = YES
MAN_OUTPUT = .
MAN_EXTENSION = .3
MAN_LINKS = NO
#---------------------------------------------------------------------------
# configuration options related to the XML output
#---------------------------------------------------------------------------
GENERATE_XML = NO
XML_OUTPUT = xml
XML_SCHEMA =
XML_DTD =
XML_PROGRAMLISTING = YES
#---------------------------------------------------------------------------
# configuration options for the AutoGen Definitions output
#---------------------------------------------------------------------------
GENERATE_AUTOGEN_DEF = NO
#---------------------------------------------------------------------------
# configuration options related to the Perl module output
#---------------------------------------------------------------------------
GENERATE_PERLMOD = NO
PERLMOD_LATEX = NO
PERLMOD_PRETTY = YES
PERLMOD_MAKEVAR_PREFIX =
#---------------------------------------------------------------------------
# Configuration options related to the preprocessor
#---------------------------------------------------------------------------
ENABLE_PREPROCESSING = YES
MACRO_EXPANSION = YES
EXPAND_ONLY_PREDEF = YES
SEARCH_INCLUDES = YES
INCLUDE_PATH = ../..
INCLUDE_FILE_PATTERNS = *.h
PREDEFINED = HAVE_CONFIG_H= \
SYMHIDDEN= \
SYMEXPORT= \
HAVE_LIBARCHIVE \
HAVE_LIBCURL \
HAVE_LIBGPGME
EXPAND_AS_DEFINED =
SKIP_FUNCTION_MACROS = YES
#---------------------------------------------------------------------------
# Configuration::additions related to external references
#---------------------------------------------------------------------------
TAGFILES =
GENERATE_TAGFILE =
ALLEXTERNALS = NO
EXTERNAL_GROUPS = YES
PERL_PATH = /usr/bin/perl
#---------------------------------------------------------------------------
# Configuration options related to the dot tool
#---------------------------------------------------------------------------
CLASS_DIAGRAMS = NO
MSCGEN_PATH =
HIDE_UNDOC_RELATIONS = YES
HAVE_DOT = YES
DOT_NUM_THREADS = 0
DOT_FONTNAME = Helvetica
DOT_FONTSIZE = 10
DOT_FONTPATH =
CLASS_GRAPH = YES
COLLABORATION_GRAPH = YES
GROUP_GRAPHS = YES
UML_LOOK = NO
UML_LIMIT_NUM_FIELDS = 10
TEMPLATE_RELATIONS = NO
INCLUDE_GRAPH = YES
INCLUDED_BY_GRAPH = YES
CALL_GRAPH = NO
CALLER_GRAPH = NO
GRAPHICAL_HIERARCHY = YES
DIRECTORY_GRAPH = YES
DOT_IMAGE_FORMAT = png
INTERACTIVE_SVG = NO
DOT_PATH =
DOTFILE_DIRS =
MSCFILE_DIRS =
DOT_GRAPH_MAX_NODES = 50
MAX_DOT_GRAPH_DEPTH = 3
DOT_TRANSPARENT = NO
DOT_MULTI_TARGETS = NO
GENERATE_LEGEND = YES
DOT_CLEANUP = YES

View File

@@ -3,9 +3,9 @@
# Contributor: Ray Donnelly <mingw.android@gmail.com>
pkgname=pacman
pkgver=5.1.3
pkgrel=5
contrib_ver=1.1.0
pkgver=5.2.1
pkgrel=1
contrib_ver=1.2.0
pkgdesc="A library-based package manager with dependency support (MSYS2 port)"
arch=('i686' 'x86_64')
url="https://www.archlinux.org/pacman/"
@@ -68,14 +68,13 @@ source=(https://sources.archlinux.org/other/pacman/${pkgname}-${pkgver}.tar.gz{,
"0007-exe-interp-ignore-file-conflict.patch"
"0008-answer-yes-by-default.patch"
"0009-msys-use-pipe-instead-socket.patch"
"0050-fix-make-target-dependencies.patch"
"0100-contrib.patch"
"0101-contrib-pactree-gpgdir.patch"
"0010-filelist-strcasecmp.patch"
"0011-bash-completion-fix-regex.patch")
sha256sums=('10db61a0928d619871340c3f93a677d1541d6c52353c516aec4f8d96e830d4eb'
Doxyfile.in)
sha256sums=('1930c407265fd039cb3a8e6edc82f69e122aa9239d216d9d57b9d1b9315af312'
'SKIP'
'5623b268332e034717e1e5de19051560e69fbe487d6e5a26b11e9d7c1d1f330b'
'317f53819e35647a19138cb0d68e16206af4a80f52115a7cd622c4a367f914b7'
'6024bbf50cc92236b7b437430cb9e4180da91925cdc19a5a7910fe172931cfb6'
'3d2f8a8c363a76ebd417e883cf28dc093e611b1360fe684d40e29540cbcb7ef2'
'1be68801760f8e175b4e3242ff42cb5091bbc3fb6de418d160ae53d101911eb2'
@@ -84,21 +83,20 @@ sha256sums=('10db61a0928d619871340c3f93a677d1541d6c52353c516aec4f8d96e830d4eb'
'f2d127a03c8e47660cd2b0017453e74402470824b23139e1003b8a081e98e3bd'
'8949cfd1fee9c965ec8afccee27937d4c15b4cccb2c367db4fb2b718bc66e74a'
'684648d5b1246af9ce5b3afaadf201873269c5208057e8cbdbd409b4c0f22564'
'8595c574e8b475591107e553832e4fbc93373769d9d193007d4512454e47a9ea'
'e1f880cbfea6e1d8d67cdb17bc07eaaa99421f65e688e6858ccbcbbb9a6b69d3'
'24ea2c8dca37847e04894ebfd05d1cf5df49dc0c8089f5581c99caa19b77a7ef'
'870b197b7d6379a9c1ebb5c449c902b21d75ec21e966a2e54af82501465180f7'
'23132552a388b238acf8bf650b5c2aa08cf3de63c647e84ad551807c4edfeb1e'
'65906109a7b71a9b836566ea888532b41f4ba6ea5996f1f3303c5789e03960cb'
'0ffa9fbbea35054996075d5ca952a83e9b6357369dfdc2dc091ed789838205fc'
'790ade0712c938ca03760f4f1e8ce2880016a4602a0c21975692940e4a46a28e'
'5d2b274cc8e3f68c7b0b74db466006f52610be9b35179d8cd854a9611c981de6'
'e2731c4007a7c78848679e2203c35d1e56d3ef15a7586aeac9cc9e6e97824cfb'
'52343bbf99da6408950e34dd84319e34724040f866c497c25e36b4ee54030e82'
'e4f6e17af19e17e745a9f1c6b8402f5896229062c82167cb61f8e7d29eda716c'
'9e8fe5ee78192b0407e80ad2e52cb27569c35974b6c26e465e3d55e19c03d108'
'5bd66342aff56343aa5e07dbf997d18cc3dcae691cc7d8f83e94fee12b5b61b8'
'3bd0cd48d608b31d7df564c50e8d31df58dd38cfaaea9ec0fcceb42936486549'
'78a314a11377f7c9eb7bcd5f103a32734f2df0b3696df50bd38c7f6c754154d0'
'4ff3f10a99e894f3ae8576227f60bff7e21a1d7a775f89d936e43501693e9618'
'93be4523fb8c3dd6b56eddfe0b09e666725a62eb43392fee336ba1a328f9ffdd'
'1f164d20f55f17f832d8dbfac7e59044b11d806ea99e3233d2950766d89b4cf6')
'8cc0a7b1a3390a8990cef242ac4a84d4eb03f367bc2a01c883908ff7c8d59427')
prepare() {
cd ${srcdir}/${pkgname}-${pkgver}
@@ -112,9 +110,9 @@ prepare() {
patch -p1 -i ${srcdir}/0007-exe-interp-ignore-file-conflict.patch
patch -p1 -i ${srcdir}/0008-answer-yes-by-default.patch
patch -p1 -i ${srcdir}/0009-msys-use-pipe-instead-socket.patch
patch -p1 -i ${srcdir}/0050-fix-make-target-dependencies.patch
patch -p1 -i ${srcdir}/0010-filelist-strcasecmp.patch
patch -p1 -i ${srcdir}/0011-bash-completion-fix-regex.patch
cp ${srcdir}/Doxyfile.in doc/
autoreconf -fi
@@ -195,14 +193,4 @@ package() {
-e "s|@CARCH[@]|${mycarch}|g" \
-e "s|@CHOST[@]|${mychost}|g" \
-e "s|@CARCHFLAGS[@]|${myflags}|g"
# put bash_completion in the right location
install -dm755 ${pkgdir}/usr/share/bash-completion/completions
mv ${pkgdir}/etc/bash_completion.d/pacman \
${pkgdir}/usr/share/bash-completion/completions
rmdir ${pkgdir}/etc/bash_completion.d
for f in makepkg pacman-key; do
ln -s pacman "${pkgdir}/usr/share/bash-completion/completions/$f"
done
}